Subject: Re: Booting sandpoint from ide disk

From: "Mark A. Greer" <[email-masked]>
Date: Thu, 05 Sep 2002 11:47:37 -0400

Lauri Ojantakanen wrote:

> Hi,
>
> does anyone have a good solution for booting sandpoint X3 (cpu 7410, altivec
> supported) from ide hard disk? Dink32 does not seem to support anything like
> that and ppcboot does not seem to support that CPU.

If you want to stay with DINK, you can put the zImage in flash and set DINK up
to automatically (or not) jump to where you put it.  The zImage will relocate
itself, uncompress the kernel (in the proper location) and then boot.  With the
correct cmdline, you can use an IDE disk partition for your root filesystem.
Unless you hack DINK, you won't be able to boot a kernel actually sitting on
the IDE disk, you have to put it in flash or get it into memory some other way
first.  As others have already said, you can always use PPCBoot.

Mark

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/